Bug 842505 - [WebTrans] Table is mistakenly scrolled up after pressing PgUp and PgDn multiple times.
[WebTrans] Table is mistakenly scrolled up after pressing PgUp and PgDn multi...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 00:48 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120913-0936)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot that illustrate the problem. (171.78 KB, image/png)
2012-07-24 00:48 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2012-07-24 00:48:55 EDT
Created attachment 599903 [details]
Screenshot that illustrate the problem.

Description of problem:
When editing an entry with Google Chrome or Chromium, pressing PgUp and PgDn multiple times may cause the table get scrolled up, which affect the usability.

Version-Release number of selected component (if applicable):
Zanata version 1.7.1-SNAPSHOT (20120724-0013)

How reproducible:
Always

Steps to Reproduce:
1. Visit a long document with Google Chrome
2. Scroll down and click on a entry near the bottom of the page.
3. Press PgUp and PgDn a few times.
  
Actual results:
Table of translation is scrolled up. See the attached screenshot for details.

Expected results:
Table of translation remain in the position.

Additional info:
Firefox does not have such problem.
Comment 1 Alex Eng 2012-09-10 23:34:06 EDT
Problem fixed along with Editor rewrite.

See https://bugzilla.redhat.com/show_bug.cgi?id=844820
Comment 2 Ding-Yi Chen 2012-09-12 23:20:12 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120913-0936)
Comment 3 Sean Flanigan 2012-11-07 01:18:32 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.